Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Class XHTMLEmitter

    java.lang.Object
      net.sf.saxon.event.Emitter
          net.sf.saxon.event.XMLEmitter
              net.sf.saxon.event.XHTMLEmitter

All Implemented Interfaces:
  Receiver, javax.xml.transform.Result

public class XHTMLEmitter
extends XMLEmitter

XHTMLEmitter is an Emitter that generates XHTML output. It is the same as XMLEmitter except that it follows the legacy HTML browser compatibility rules: for example, generating empty elements such as
, and using

for empty paragraphs rather than

Field Summary

Fields inherited from class net.sf.saxon.event.XMLEmitter
`declarationIsWritten, elementCode, elementStack, empty, openStartTag, preferHex, undeclareNamespaces`

Fields inherited from class net.sf.saxon.event.Emitter
`characterSet, namePool, outputProperties, outputStream, pipelineConfig, streamResult, systemId, writer`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`XHTMLEmitter()`

Method Summary
`protected java.lang.String` | `emptyElementTagCloser(java.lang.String displayName)` Close an empty element tag.
`void` | `startContent()` Start the content of an element

Methods inherited from class net.sf.saxon.event.XMLEmitter
`attribute, characters, close, closeStartTag, comment, endDocument, endElement, namespace, open, openDocument, outputCharacterReference, processingInstruction, startDocument, startElement, testCharacters, writeAttribute, writeCharSequence, writeDeclaration, writeDocType, writeEscape`

Methods inherited from class net.sf.saxon.event.Emitter
`getConfiguration, getOutputProperties, getOutputStream, getPipelineConfiguration, getSystemId, getWriter, makeEmitter, makeWriter, setOutputProperties, setOutputStream, setPipelineConfiguration, setStreamResult, setSystemId, setUnparsedEntity, setWriter, usesWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XHTMLEmitter

    public XHTMLEmitter()

Method Detail

### emptyElementTagCloser

    protected java.lang.String emptyElementTagCloser(java.lang.String displayName)

  Close an empty element tag.

  Overrides:
    `emptyElementTagCloser` in class `XMLEmitter`

### startContent

    public void startContent()
                      throws XPathException

  Start the content of an element

  Specified by:
    `startContent` in interface `Receiver`
  Overrides:
    `startContent` in class `XMLEmitter`
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD